:root {
  --primary: #f8ca47;
  --secondary: #0b2545;
  --box-gap: 4rem;
}

html {
  -webkit-print-color-adjust: exact;
  print-color-adjust: exact;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-print-color-adjust: exact;
  print-color-adjust: exact;
}

body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background: #f5f5f5;
}

img {
  width: 100%;
  height: auto;
}
.page {
  width: 210mm;
  height: 297mm;
  margin: auto;
  background: white;
  padding: 0;
  box-sizing: border-box;
  page-break-after: always;
}

table {
  width: 100%;
  border-collapse: collapse;
}
table tr {
  vertical-align: top;
}
.header {
  margin-bottom: 2rem;
}

.footer {
  background-color: var(--secondary);
  color: white;
}

.header h1 {
  font-size: 2rem;
  margin: 0;
  padding-bottom: 0.1rem;
  border-bottom: 4px solid var(--secondary);
  display: inline-block;
}

.top-section {
  padding: 0 var(--box-gap);
  vertical-align: middle;
}

.top-right {
  text-align: center;
  padding-right: var(--box-gap);
}

.top-right .placeholder-image {
  width: 100%;
  height: 100%;
  /* min-height: 45dvh; */
  background: #ffffff;
  margin: 30px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  overflow: hidden;
}

.top-right .placeholder-image img {
  width: 100%;
  height: auto;
}

.attributes,
.crossrefs {
  font-size: 12px;
}
.attributes th,
.attributes td,
.crossrefs th,
.crossrefs td {
  border: 1px solid #ccc;
  padding: 0.5rem;
}

.attributes tr:nth-child(even),
.crossrefs tr:nth-child(even) {
  background-color: #f1f1f1;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem var(--box-gap);
  font-size: 0.875rem;
}

@media print {
  html,
  body,
  .page,
  table,
  tr,
  td,
  th,
  thead,
  tbody,
  tfoot,
  div,
  h1,
  h2,
  h3 {
    -webkit-print-color-adjust: exact !important;
    print-color-adjust: exact !important;
  }

  body {
    background: #f5f5f5 !important;
  }

  .page {
    background: white !important;
    margin: 0;
  }

  .footer {
    background-color: var(--secondary) !important;
    color: white !important;
  }

  .attributes tr:nth-child(even),
  .crossrefs tr:nth-child(even) {
    background-color: #f1f1f1 !important;
  }
}
